'get_360_chrome_location.vbs(将以下代码存为get_360_chrome_location.vbs文件)
'该文件作用用于获取360chrome浏览器的安装位置，如果获取到，就将安装位置存储到chrome_location.txt中，
'如果获取不到，则将can_not_get_360chrome_location这个字符串存储到chrome_location.txt中
'先获取360se5，看看有没有对应的值，如果没有，再获取360se6
'360se5的位置：HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Uninstall\360se5\InstallLocation
'360se6的位置：HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Uninstall\360se6\InstallLocation
On Error Resume Next
data = get_location_from_apppaths("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Uninstall\360se6\InstallLocation")
If Err.Number <> 0 Then
data = get_location_from_apppaths("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Uninstall\360se5\InstallLocation")
If Err.Number <> 0 Then
write_to_file "chrome_location.txt","can_not_get_360chrome_location"
else
write_to_file "chrome_location.txt",data
End if
else
write_to_file "chrome_location.txt",data
End If
WScript.Quit

'下面这个函数的作用是将字符串strname存储到文件filename中
'其中filename这个文件如果存在，会直接删除，再重新往里写字符串strname
'该函数的示例用法如下
'On Error Resume Next
'write_to_file "test.txt","haha" 
'注意上面调用该函数的时候没有括号，他妈的为什么没有括号呢？
'WScript.Quit

Function write_to_file(filename,strname)
Set fso = CreateObject("Scripting.FileSystemObject")
s = filename '数据源路径
If fso.FileExists(s)=0 then
Set F1=fso.CreateTextFile(s,2)
F1.Close
else
set sfile=fso.getfile(s)
sfile.attributes=0
sfile.delete
Set F1=fso.CreateTextFile(s,2)
F1.Close
End If

Set s1 = fso.OpenTextFile(s, 2, True)
s1.Write strname
s1.Close
set fso=nothing
set s=nothing
set sfile=nothing
set F1=nothing
set s1=nothing

End Function

'下面这个函数，或者叫子过程，作用在于从输入注册表键值处获取程序的安装位置，比如我这样调用
'data = get_location_from_apppaths("360chrome.exe\")
'则data中存储的就是360浏览器的安装位置，如果注册表中没有这个键值，则Err.number返回值就不是0
'该函数的具体用法示例如下
'On Error Resume Next
'data = get_location_from_apppaths("360chrome.exe\")
'If Err.Number <> 0 Then
'msgbox "some errors happened when get location"
'else
'msgbox data
'End If
'WScript.Quit

Function get_location_from_apppaths(strFileName)

Set OperationRegistry=WScript.CreateObject("WScript.Shell")
get_location_from_apppaths=OperationRegistry.RegRead(strFileName )  
'If Err.Number = 0 Then
'msgbox "some errors happened when get location"
'End If

'If Err.Number <> 0 Then
'msgbox "some errors happened when get location"
'End If

'Read_Data1=OperationRegistry.RegRead(apppaths+strFileName )  
End Function


